import type { Readable } from 'stream';
export declare function createLogEntryIterator(stdout: Readable): AsyncIterable<LogEntry>;
export type LogEntry = {
    timestamp: string;
    severity: string;
    component: string;
    context: string;
    message: string;
    id: number | undefined;
    attr: any;
};
export declare function parseAnyLogEntry(line: string): LogEntry;
export declare function isFailureToSetupListener(entry: LogEntry): boolean;
export declare function filterLogStreamForPort(input: Readable): Promise<{
    port: number;
}>;
export type BuildInfo = {
    version: string | null;
    modules: string[] | null;
};
export declare function filterLogStreamForBuildInfo(input: Readable): Promise<BuildInfo>;
//# sourceMappingURL=mongologreader.d.ts.map